StructureViolationException (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.util.concurrent, class: StructureViolationException
Keywords: java.util.concurrent.StructureViolationException class

# Class StructureViolationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.util.concurrent.StructureViolationException

All Implemented Interfaces:
  `Serializable`

public final class StructureViolationException extends RuntimeException
`StructureViolationException` is a preview API of the Java platform.
Programs can only use `StructureViolationException` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Thrown when a structure violation is detected.

Since:
  21
See Also:
  - `StructuredTaskScope.close()`PREVIEW
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StructureViolationException()`
  Constructs a `StructureViolationException` with no detail message.
  `StructureViolationException(String message)`
  Constructs a `StructureViolationException` with the specified detail message.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StructureViolationException

    public StructureViolationException()
    Constructs a `StructureViolationException` with no detail message.

  - ### StructureViolationException

    public StructureViolationException(String message)
    Constructs a `StructureViolationException` with the specified detail message.
    Parameters:
      `message` - the detail message, can be null